// 引入 request 文件
import request from '@/common/api/request.js'
import {
	prveUrl
} from './config.js'

// 获取未读消息数量
export const getUnReadCountReq = () => {
	return request({
		url: prveUrl + '/user/msg/unReadCount',
		method: 'get',
	})
}

// 获取消息列表分页数据
export const getUserMsgPageReq = (data) => {
	return request({
		url: prveUrl + '/user/msg/page',
		method: 'get',
		data: data
	})
}

// 根据订单 Id 查询入账消息
export const getMsgByOrderIdReq = (id) => {
	return request({
		url: prveUrl + '/user/msg/order/' + id,
		method: 'get',
	})
}